> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find similar tickets



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /knowledge/similar-tickets
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /knowledge/similar-tickets:
    post:
      tags:
        - Knowledge
      summary: Find similar tickets
      operationId: FindSimilarTickets
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimilarTicketsSearchDto'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimilarTicketsResponse'
      security:
        - jwt: []
components:
  schemas:
    SimilarTicketsSearchDto:
      properties:
        query:
          type: string
        excludeTicketId:
          type: string
        limit:
          type: number
          format: double
      required:
        - query
      type: object
      additionalProperties: false
    SimilarTicketsResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/SimilarTicketResult'
          type: array
        count:
          type: number
          format: double
      required:
        - results
        - count
      type: object
      additionalProperties: false
    SimilarTicketResult:
      properties:
        ticketId:
          type: string
        title:
          type: string
        similarity:
          type: number
          format: double
        content:
          type: string
      required:
        - ticketId
        - title
        - similarity
        - content
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````